Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155650 - Default seach engine preference replaced after upgrade
Summary: Default seach engine preference replaced after upgrade
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 07:43 UTC by Jack Spaar
Modified: 2018-04-11 07:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-28 14:56:23 UTC


Attachments (Terms of Use)

Description Jack Spaar 2005-04-22 07:43:30 UTC
Description of problem:
After upgrading from mozilla-1.7.6-1.3.2 to mozilla-1.7.7-1.3.1, search 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. In mozilla, choose Google as default search engine using
Edit->Preferences->Navigator->Internet Search
2. Upgrade to mozilla-1.7.7-1.3.1 from a previous release.
3. Run moz and click Edit->Preferences->Navigator->Internet Search
  
Actual results:
"Ask Jeeves" is shown as the default search engine.


Expected results:
The default search engine preference chosen before the upgrade should persist. 
(I.e., "Google" should appear as the default engine in this case.)

Also, searches initiated by typing the the address bar and clicking "Search
for..." drop-down should continue to work.

Additional info:
On top of the default appearing to be changed, searches initiated by typing
keywords in the address bar and then clicking the "Search for..." drop-down do
*nothing at all*.  Until the user updates his default search engine preference.

Additional additional info:
This problem has occurred with each of several mozilla upgrades over the past
year or so, IIRC.

Comment 1 Matthew Miller 2006-07-10 21:42:57 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Matěj Cepl 2007-07-18 17:23:57 UTC
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 3 Matěj Cepl 2007-08-28 14:56:23 UTC
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.


Note You need to log in before you can comment on or make changes to this bug.